Documentation · API reference
GET/api/v1/goals/{id}/versions

Every version of a goal's definition, oldest first

Every version of a goal's definition, oldest first.

The answer

Status 200

A list of GoalVersionView

by
string or null
created_at
stringneeded
lines
list of DefinitionLineneededThe definition as labelled lines, the form a diff is shown in.
note
stringneeded
spec
objectneeded
version
integerneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/goals/{id}/versions \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/goals/{id}/versions", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());